@import url('https://fonts.googleapis.com/css2?family=Jura:wght@300;500;600;700&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:wght@100;200;300;400;500;600;700;800;900&family=Ubuntu+Sans:ital,wght@0,100..800;1,100..800&display=swap');


:root{
    --ff: "Ubuntu", "Sans-serif";
    --colorprimary: #0B0D11;
    --colorsecondary: #EDE9E9;
    --thirdcolor: #383b3c;
    --mygray: #231f20;
    --coloraccent: #750b2a;

    --h1: bold 64px/72px var(--ff);

    --h2: lighter 44px/54px var(--ff);
    --h3: bold 44px/52px var(--ff);
    --h4: bold 64px/72px var(--ff);

    --p: light 20px/32px var(--ff);
}

*{
    padding: 0;
    margin: 0;
}

html, body
{
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}



body{
    width: 100vw;
    height: 100vh;
    margin: 0px;
    padding: 0px;
    background-color: rgb(43, 37, 37);

    a{
        text-decoration: none;
        color: blanchedalmond;
    }

    img {
        width:90%;
      }


    section{

        padding-top: 50px;
        justify-content: center;
        align-items: center;
        width: 100vw;
        color: var(--colorsecondary);



        &:nth-of-type(1){
            background-color: #EDE9E9;
            color: var(--colorprimary);
            
        }

        &:nth-of-type(2){
            background-color: var(--coloraccent);
        }

        &:nth-of-type(3){
            background-color: var(--colorprimary);
            padding-bottom: 50px;
            text-align: center;
            
        }

        &:nth-of-type(4){
            background-color: var(--thirdcolor);
            padding-bottom: 50px;
            text-align: center;
            
        }

        &:nth-of-type(5){
            background-color: var(--mygray);
            padding-bottom: 50px;
            text-align: center;
            
        }
    
    }


    
    #footer{
    
        background-image: url("../images/honodesign.jpg");
        background-position: 50%;

        padding-top: 50px;
        justify-content: center;
        align-items: center;
    }

    footer{
        min-height: 500px;
        position: relative;
        
    }


    .copyright{

        padding: 1%;
        text-align: center; 
        min-height: 50px; 
        width: 100%; 
        position: absolute;
        bottom: 0;
        color: var(--coloraccent);


        background-color: transparent;
        backdrop-filter: blur(20px);
        -webkit-backdrop-filter: blur(20px);
        background-image: linear-gradient(
            120deg,
            rgba(225, 225, 225, 0.8),
            rgba(0, 0, 0, 0.5)
        );


        .heart{
            color: var(--colorsecondary);
        }
    }



    .hdcontainer{
        width: 100%;
        height: 100vh;
        scroll-snap-type: Y mandatory;
        overflow-y: scroll;

        section{
            display: flex;
            justify-content: center;
            align-items: center;
            scroll-snap-align: start;
            width: 100%;
            height: 100%;

            &:nth-of-type(1){
                background-color: rgb(65, 119, 86);
            }

            &:nth-of-type(2){
                background-color: rgb(23, 99, 205);
            }

            &:nth-of-type(3){
                background-color: rgb(144, 19, 115);
            }

        }
    }


    .container{
         nav{

         }
    }

}



/* body            
{
    min-width:100%;
    background: var(--colorprimary);

    .hdcontainer{

    }
} */



h1
{
    font: var(--h1);
}

h2
{
    font: var(--h2);
    padding-bottom: 5%;
    text-align: center;
    color: var(--colorsecondary);
}

p
{
    font: var(--p);
    span{
        color: var(--coloraccent);
    }
}

/* a
{
background: var();
color: var();
padding: ;
text-decoration: none;
} */





.topbar{
    text-align: right;
    color: antiquewhite;
    min-height: 50px;
    background-color: #383B3C;

    p{
        font-size: 0.8em;
    }
}





.glassmorph1
{
background-color: transparent;
backdrop-filter: blur(20px);
-webkit-backdrop-filter: blur(20px);
}

.glassmorph2
{
background-color: rgba(225, 225, 225, 0.3);
backdrop-filter: blur(20px);
-webkit-backdrop-filter: blur(20px);
}

.glassmorph3
{
background-color: transparent;
backdrop-filter: blur(20px);
-webkit-backdrop-filter: blur(20px);
background-image: linear-gradient(
    120deg,
    rgba(225, 225, 225, 0.3),
    rgba(0, 0, 0, 0.2)
);
}















/* autoslider */

.slider{
    width: 100%;
    height: var(--height);
    overflow: hidden;
    mask-image: linear-gradient(
        to right,
        transparent,
        #000 10% 90%,
        transparent
 
         );

        .list{
            display: flex;
            width: 100%;
            min-width: calc(var(--width) * var(--quantity));
            position: relative;


            .item{
                width: var(--width);
                height: var(--height);
                position: absolute;
                left: 100%;
                animation: autoRun 15s linear infinite;
                transition: filter 0.5s;
                animation-delay: calc( (15s / var(--quantity)) * (var(--position) - 1) )!important;
            
            
                img{
                    width: 100%;
                    background-color: #D1D3D4;
                    border-radius: 10px;
                }
            
            }

        }
}


@keyframes autoRun{
    from{
        left: 100%;
    }to{
        left: calc(var(--width) * -1);
    }
}


.slider:hover .item{
    animation-play-state: paused!important;
    filter: grayscale(1);
}
.slider .item:hover{
    filter: grayscale(0);
}
.slider[reverse="true"] .item{
    animation: reversePlay 10s linear infinite;
}

@keyframes reversePlay{
    from{
        left: calc(var(--width) * -1);
    }to{
        left: 100%;
    }
}







/* Portfolio gallery */

.container-portfolio{
    max-width: 1224px;
    width: 90%;
    margin: auto;
    padding:  40px 0;   
}
.gallery{
    display: flex;
    gap: 20px;
}
.column{
    display: flex;
    flex-direction: column;
    gap: 20px;
}


.photo{
    position: relative;
}

.photo img{
    width: 100%;
    height: 100%;
    border-radius: 5px;
    object-fit: cover;

    cursor: pointer;
    transition: 400ms;
    
    
}

.photo img:hover{
    filter: grayscale(0.1);
    transform: scale(1.03); 
}

.overlay{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    transition: 0.6s;

}

.overlay:hover{
    opacity: 1;
}

.overlay h5{
font-size: 35px;
color: #D1D3D4;
}

.overlay p{
font-size: 19px;
color: #fff;
}

.overlay > *{
    transform: translateY(25px);
    transition: transform 0.6s;
}

.overlay:hover> *{
    transform: translateY(0px);
}

@media (max-width:768px) {

    .gallery{
        flex-direction: column;
    }
    
}
/* end Portfolio gallery */











/* From Unfold css */

/* mouse scrool */

.mouse-wrap {
  position: relative;
  display: inline-block;
  left: 50%;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
  bottom: 50px;
  z-index: 9;
}

.mouse-wrap:active, .mouse-wrap:active > .mouse-label, .mouse-wrap:focus, .mouse-wrap:focus > .mouse-label {
  outline: none;
}

.mouse-wrap.mouse-with-slider {
  bottom: -50px;
}

.mouse-wrap .mouse-label {
  top: 0;
  color: #fff;
  font-size: 10px;
  font-weight: 700;
  letter-spacing: .05rem;
  text-transform: uppercase;
}

.mouse-wrap.dark .mouse-label {
  color: #000;
}

.mouse-wrap.dark .mouse {
  border: 2px solid #000;
}

.mouse-wrap.dark .mouse .scroll {
  background: #000;
}

.mouse-wrap .mouse {
  position: absolute;
  width: 22px;
  height: 42px;
  bottom: 30px;
  display: block;
  left: 50%;
  margin-left: -12px;
  border-radius: 15px;
  border: 2px solid #fff;
  -webkit-animation: intro 2s;
  animation: intro 2s;
}

.mouse-wrap .mouse .scroll {
  display: block;
  width: 3px;
  height: 3px;
  margin: 6px auto;
  border-radius: 4px;
  background: #fff;
  -webkit-animation: finger 2s infinite;
  animation: finger 2s infinite;
}

/* end From Unfold css */








/* Animation css */


/* FadeUp Animation css */
.fadeup{
    animation: fadeUp both;
    animation-timeline: view();
}

.timeline-item:nth-child(1) {
    animation-range: entry 20% cover 40%;
}

.timeline-item:nth-child(1) {
    animation-range: entry 40% cover 60%;
}

.timeline-item:nth-child(1) {
    animation-range: entry 60% cover 80%;
}


@keyframes fadeUp {
    from {
        opacity: 0;
        transform: translateY(10px) scale(0.5);
    }
    to {
        opacity: 1;
        transform: translateY(0) scale(1);
    }
}


/* horizontal-scroll-wrapper Animation css */
.horizontal-scroll-wrapper{
    overflow-x: auto;
    scroll-snap-type: mandatory;
    scroll-behavior: smooth;
    scrollbar-width: thin;
    scrollbar-color: red gray;
}


/* autoShow Animation css */
.autoShow{
    animation: text-appear both;
    animation-timeline: view();
    animation-range: entry 10% cover 30%;
}

@keyframes text-appear {
    from {
        opacity: 0;
        transform: translateY(50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}


/* autoShow Animation css */
.autoShowBanner{
    animation: img-appear both;
    animation-timeline: view();
    animation-range: entry 70% cover 100%;
}

@keyframes img-appear {
    from {
        opacity: 1;
        transform: translateY(200px);
        scale: 4;
    }
    to {
        opacity: 1;
        transform: translateY(0);
        scale: 1;
    }
}







